Name:             gengetopt
Version:          2.23
Release:    2%{?dist}
Summary:          Tool to write command line option parsing code for C programs
License:          GPLv3+
URL:              http://www.gnu.org/software/gengetopt/
Source0:          ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  gcc
BuildRequires:  valgrind
BuildRequires:  texinfo
BuildRequires: make
Provides:         bundled(gnulib)

%description
Gengetopt is a tool to generate C code to parse the command line arguments
argc and argv that are part of every C or C++ program. The generated code uses
the C library function getopt_long to perform the actual command line parsing.

%prep
%setup -q

chmod 644 ./AUTHORS
chmod 644 ./ChangeLog
chmod 644 ./COPYING
chmod 644 ./LICENSE
chmod 644 ./NEWS
chmod 644 ./README
chmod 644 ./THANKS
chmod 644 ./TODO
chmod 644 ./doc/README.example
chmod 644 ./doc/index.html
chmod 644 ./src/parser.yy
chmod 644 ./src/scanner.ll
find . -name '*.c' -exec chmod 644 {} ';'
find . -name '*.cc' -exec chmod 644 {} ';'
find . -name '*.cpp' -exec chmod 644 {} ';'
find . -name '*.h' -exec chmod 644 {} ';'
find . -name '*.ggo' -exec chmod 644 {} ';'

%build
%configure
make

%install
%make_install INSTALL="%{__install} -p"
rm -frv %{buildroot}%{_infodir}/dir
rm -frv %{buildroot}%{_docdir}/%{name}

mkdir ./examples
pushd ./doc
  cp -p README.example ../examples
  cp -p main1.cc sample1.ggo ../examples
  cp -p main2.c sample2.ggo ../examples
popd

%check
make check

%files
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%doc doc/index.html doc/%{name}.html
%doc examples/
%license COPYING LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_infodir}/*.info*
%{_mandir}/man1/%{name}.1*

%changelog
* Wed Jun 04 2025 bbrucezhang <bbrucezhang@tencent.com> - 2.23-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.23-1
- initial build
